Main Page Widgets Namespaces Book

# Gtk::RadioButtonGroup Class Reference

List of all members.

## Detailed Description

RadioButtonGroup identifier for RadioButtons To set up this RadioButtonGroup, construct a RadioButtonGroup and then pass it to the constructor of all radio items.

You do not need to keep the RadioButtonGroup beyond the initial construction. It should not be instantiated with new, and it will be invalid after the RadioButtons have been deleted.

## Public Member Functions

| RadioButtonGroup ()
| RadioButtonGroup (const RadioButtonGroup& src)
RadioButtonGroup& | operator= (const RadioButtonGroup& src)

## Protected Member Functions

| RadioButtonGroup (GSList* group)
void | add (RadioButton& item)
void | add (RadioMenuItem& item)
void | add (const Glib::RefPtr<RadioAction>& item)
void | add (RadioToolButton& item)
void* | operator new (size_t)

## Protected Attributes

GSList* | group_

## Constructor & Destructor Documentation

Gtk::RadioButtonGroup::RadioButtonGroup | ( |  | ) |

Gtk::RadioButtonGroup::RadioButtonGroup | ( | const RadioButtonGroup& | src | ) |

Gtk::RadioButtonGroup::RadioButtonGroup | ( | GSList* | group | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::RadioButtonGroup::add | ( | RadioToolButton& | item | ) | `[protected]`

void Gtk::RadioButtonGroup::add | ( | const Glib::RefPtr<RadioAction>& | item | ) | `[protected]`

void Gtk::RadioButtonGroup::add | ( | RadioMenuItem& | item | ) | `[protected]`

void Gtk::RadioButtonGroup::add | ( | RadioButton& | item | ) | `[protected]`

void* Gtk::RadioButtonGroup::operator new | ( | size_t |  | ) | `[protected]`

RadioButtonGroup& Gtk::RadioButtonGroup::operator= | ( | const RadioButtonGroup& | src | ) |

## Member Data Documentation

GSList* Gtk::RadioButtonGroup::group_`[protected]`

The documentation for this class was generated from the following file:

- radiobuttongroup.h